Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005850 [JEDI VCL] 00 JVCL Components crash always 2012-04-12 16:43 2015-09-21 17:47
Reporter altaveron View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005850: Incorrect fix of the issue "Mantis 5818" in JvDBGrid.pas
Description The is a fix in JvDBGrid.pas:

  // Mantis 5818: the inherited code sometimes gives an invalid index for the column
  if Index > FirstVisibleColumn + VisibleColCount then
    Index := FirstVisibleColumn + VisibleColCount;

But this code doesn't help me. The working code is:

  // Store the column index to resize.
  FResizeColumnIndex := Index;
  if dgIndicator in Options then
    FResizeColumnIndex := FResizeColumnIndex - 1;

Please correct the issue fix.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019848)
obones (administrator)
2012-06-11 17:26

Please provide the zipped sources of a sample application showing this.
(0020444)
altaveron (reporter)
2013-02-25 01:13

Please just fix it. Our application have millions lines of code. The issue presents on the last version.
(0020445)
altaveron (reporter)
2013-02-25 01:25

The following line:

  FResizeColumnIndex := Index - 1;

Should be replaced by:

  // Store the column index to resize.
  FResizeColumnIndex := Index;
  if dgIndicator in Options then
    FResizeColumnIndex := FResizeColumnIndex - 1;
(0020456)
altaveron (reporter)
2013-03-27 18:41

Why the issue has 'feedback' status and no answers?
(0020507)
AHUser (developer)
2013-05-25 15:25

Fixed in svn revision 13517.

- Issue History
Date Modified Username Field Change
2012-04-12 16:43 altaveron New Issue
2012-04-12 16:46 altaveron Issue Monitored: altaveron
2012-06-11 17:26 obones Note Added: 0019848
2012-06-11 17:26 obones Status new => feedback
2013-02-25 01:13 altaveron Note Added: 0020444
2013-02-25 01:25 altaveron Note Added: 0020445
2013-03-27 18:41 altaveron Note Added: 0020456
2013-05-25 15:25 AHUser Note Added: 0020507
2013-05-25 15:25 AHUser Status feedback => resolved
2013-05-25 15:25 AHUser Fixed in Version => Daily / SVN
2013-05-25 15:25 AHUser Resolution open => fixed
2013-05-25 15:25 AHUser Assigned To => AHUser
2013-08-06 21:02 altaveron Issue End Monitor: altaveron
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker